qt-3.1 kompilieren --> make install bricht ab

Los_Andros

Doppel-As
Beiträge
137
Ich habe mit Freude das Tool konstruct entdeckt und mit dem Tool auch das Programm detektive für SuSE 8.1 User. Diese findet ja alle Pakete, die noch zu installieren sind.
Alles nötige und noch vieles mehr habe ich nachinstalliert und probiert konstruct auszuführen.

Leider bricht immer die kompilierung von arts ab (wg qt)

Also habe ich probiert qt 3.1 von Hand nachzuinstallieren und scheitere einfach kläglich


Hier das Problem

Ich habe laut README von qt-x11.... qt-3.1 kompiliert, bzw. versucht zu kompilieren!
Das ganze geschieht in /usr/local/qt
./configure --> klappt
make --> klappt auch
checkinstall (statt make install) -->bricht ab


Hier die Fehlermeldung:
rm -f libqui.so.1.0.0 libqui.so libqui.so.1 libqui.so.1.0
g++ -shared -Wl,-soname,libqui.so.1 -Wl,-rpath,/usr/local/qt/lib -o libqui.so.1.0.0 .obj/release-shared/qwidgetfactory.o .obj/release-shared/domtool.o .obj/release-shared/uib.o .obj/release-shared/database.o .obj/release-shared/moc_database2.o -Wl,-rpath,/usr/local/qt/lib -L/usr/local/qt/lib -L/usr/X11R6/lib -L/usr/X11R6/lib -lqt -lGLU -lGL -lXmu -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
/usr/lib/gcc-lib/i486-suse-linux/3.2/../../../../i486-suse-linux/bin/ld: cannot find -lqt
collect2: ld returned 1 exit status
make[4]: *** [../../../lib/libqui.so.1.0.0] Fehler 1
make[4]: Verlassen des Verzeichnisses »/usr/local/qt/tools/designer/uilib«
make[3]: *** [sub-uilib] Fehler 2
make[3]: Verlassen des Verzeichnisses »/usr/local/qt/tools/designer«
make[2]: *** [sub-designer] Fehler 2
make[2]: Verlassen des Verzeichnisses »/usr/local/qt/tools«
make[1]: *** [sub-tools] Fehler 2
make[1]: Verlassen des Verzeichnisses »/usr/local/qt«
make: *** [install] Fehler 2

**** Installation failed. Aborting package creation.

Restoring overwritten files from backup...OK

Cleaning up...OK

Bye.


Was kann ich noch tun, habe versucht die Datei lqt zu finden, finde sie aber nicht.
gcc-3.2 ist installiert!

Vielleicht hat auch jemand einen Link zu einer qt-3.1 rpm für SuSE
 

Ähnliche Themen

grub-pc Probleme bei upgrade

postfix+saslauthd - postfix/smtpd verwendet nicht den saslauthd

XFCE freezes at startup

Statistikprogramm R

Firefox 3.5 kompilieren

Oben